curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/reimbursements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"work_assignment_id": "<id>",
"reimbursement_type": "non_taxable_reimbursement",
"amount": "35",
"frequency": "per_payroll",
"effective_from": "2026-01-01",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": [
"<id>"
],
"value": 100
}
]
}
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/reimbursements"
payload = {
"work_assignment_id": "<id>",
"reimbursement_type": "non_taxable_reimbursement",
"amount": "35",
"frequency": "per_payroll",
"effective_from": "2026-01-01",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": ["<id>"],
"value": 100
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
work_assignment_id: '<id>',
reimbursement_type: 'non_taxable_reimbursement',
amount: '35',
frequency: 'per_payroll',
effective_from: '2026-01-01',
tag_assignment: {unit: 'percentage', tag_allocations: [{tags: ['<id>'], value: 100}]}
})
};
fetch('https://sandbox.nmbr.co/services/payroll/reimbursements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/reimbursements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'work_assignment_id' => '<id>',
'reimbursement_type' => 'non_taxable_reimbursement',
'amount' => '35',
'frequency' => 'per_payroll',
'effective_from' => '2026-01-01',
'tag_assignment' => [
'unit' => 'percentage',
'tag_allocations' => [
[
'tags' => [
'<id>'
],
'value' => 100
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/reimbursements"
payload := strings.NewReader("{\n \"work_assignment_id\": \"<id>\",\n \"reimbursement_type\": \"non_taxable_reimbursement\",\n \"amount\": \"35\",\n \"frequency\": \"per_payroll\",\n \"effective_from\": \"2026-01-01\",\n \"tag_assignment\": {\n \"unit\": \"percentage\",\n \"tag_allocations\": [\n {\n \"tags\": [\n \"<id>\"\n ],\n \"value\": 100\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.nmbr.co/services/payroll/reimbursements")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"work_assignment_id\": \"<id>\",\n \"reimbursement_type\": \"non_taxable_reimbursement\",\n \"amount\": \"35\",\n \"frequency\": \"per_payroll\",\n \"effective_from\": \"2026-01-01\",\n \"tag_assignment\": {\n \"unit\": \"percentage\",\n \"tag_allocations\": [\n {\n \"tags\": [\n \"<id>\"\n ],\n \"value\": 100\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/reimbursements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"work_assignment_id\": \"<id>\",\n \"reimbursement_type\": \"non_taxable_reimbursement\",\n \"amount\": \"35\",\n \"frequency\": \"per_payroll\",\n \"effective_from\": \"2026-01-01\",\n \"tag_assignment\": {\n \"unit\": \"percentage\",\n \"tag_allocations\": [\n {\n \"tags\": [\n \"<id>\"\n ],\n \"value\": 100\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "reimbursement",
"data": {
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"reimbursement_type": {
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "non_taxable_reimbursement",
"label": "Non-Taxable Reimbursement"
},
"links": {
"self": "/reimbursement_types/non_taxable_reimbursement"
}
},
"title": null,
"title_translations": null,
"title_translated": null,
"frequency": "per_payroll",
"date_basis": null,
"pay_period_cadence": null,
"amount": 35,
"effective_from": "2026-01-01",
"effective_to": null,
"business_preset": null,
"expense_accounting_code": null,
"liability_accounting_code": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/reimbursements/<id>"
}
}Create a reimbursement
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/reimbursements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"work_assignment_id": "<id>",
"reimbursement_type": "non_taxable_reimbursement",
"amount": "35",
"frequency": "per_payroll",
"effective_from": "2026-01-01",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": [
"<id>"
],
"value": 100
}
]
}
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/reimbursements"
payload = {
"work_assignment_id": "<id>",
"reimbursement_type": "non_taxable_reimbursement",
"amount": "35",
"frequency": "per_payroll",
"effective_from": "2026-01-01",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": ["<id>"],
"value": 100
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
work_assignment_id: '<id>',
reimbursement_type: 'non_taxable_reimbursement',
amount: '35',
frequency: 'per_payroll',
effective_from: '2026-01-01',
tag_assignment: {unit: 'percentage', tag_allocations: [{tags: ['<id>'], value: 100}]}
})
};
fetch('https://sandbox.nmbr.co/services/payroll/reimbursements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/reimbursements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'work_assignment_id' => '<id>',
'reimbursement_type' => 'non_taxable_reimbursement',
'amount' => '35',
'frequency' => 'per_payroll',
'effective_from' => '2026-01-01',
'tag_assignment' => [
'unit' => 'percentage',
'tag_allocations' => [
[
'tags' => [
'<id>'
],
'value' => 100
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/reimbursements"
payload := strings.NewReader("{\n \"work_assignment_id\": \"<id>\",\n \"reimbursement_type\": \"non_taxable_reimbursement\",\n \"amount\": \"35\",\n \"frequency\": \"per_payroll\",\n \"effective_from\": \"2026-01-01\",\n \"tag_assignment\": {\n \"unit\": \"percentage\",\n \"tag_allocations\": [\n {\n \"tags\": [\n \"<id>\"\n ],\n \"value\": 100\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.nmbr.co/services/payroll/reimbursements")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"work_assignment_id\": \"<id>\",\n \"reimbursement_type\": \"non_taxable_reimbursement\",\n \"amount\": \"35\",\n \"frequency\": \"per_payroll\",\n \"effective_from\": \"2026-01-01\",\n \"tag_assignment\": {\n \"unit\": \"percentage\",\n \"tag_allocations\": [\n {\n \"tags\": [\n \"<id>\"\n ],\n \"value\": 100\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/reimbursements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"work_assignment_id\": \"<id>\",\n \"reimbursement_type\": \"non_taxable_reimbursement\",\n \"amount\": \"35\",\n \"frequency\": \"per_payroll\",\n \"effective_from\": \"2026-01-01\",\n \"tag_assignment\": {\n \"unit\": \"percentage\",\n \"tag_allocations\": [\n {\n \"tags\": [\n \"<id>\"\n ],\n \"value\": 100\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "reimbursement",
"data": {
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"reimbursement_type": {
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "non_taxable_reimbursement",
"label": "Non-Taxable Reimbursement"
},
"links": {
"self": "/reimbursement_types/non_taxable_reimbursement"
}
},
"title": null,
"title_translations": null,
"title_translated": null,
"frequency": "per_payroll",
"date_basis": null,
"pay_period_cadence": null,
"amount": 35,
"effective_from": "2026-01-01",
"effective_to": null,
"business_preset": null,
"expense_accounting_code": null,
"liability_accounting_code": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/reimbursements/<id>"
}
}Authorizations
Body
The type of reimbursement, which determines how it is categorized and reported on Pay Stubs.
Required unless business_preset_id is set to a Business Preset with a subtype. If both are set, this must match the Business Preset's subtype.
health_spending_account, non_taxable_reimbursement, professional_membership, taxable_reimbursement, transit_pass, wellness_spending_account Hide child attributes
Hide child attributes
Response
Created
Hide child attributes
Hide child attributes
The type of reimbursement, which determines how it is categorized and reported on Pay Stubs.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
How this type affects the payroll calculation in this jurisdiction.
accrues_vacation_pay, included_in_gross_pay, included_in_hour_totals, included_in_stat_holiday_pay, moves_money, reduces_base, tax_credit, withholding Hide child attributes
Hide child attributes
The boxes on the form this type contributes to in at least one province.
Hide child attributes
Hide child attributes
The provinces of employment where amounts of this type are reported in this box. RL-1 boxes apply only in Quebec. Most T4 and T4A boxes apply in every province; a few, such as for Quebec tips, do not.
The province of employment (e.g. ca_on, ca_qc).

